[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
texinfo ChangeLog util/tests/automtest.sh
From: |
Karl Berry |
Subject: |
texinfo ChangeLog util/tests/automtest.sh |
Date: |
Thu, 12 Jan 2012 18:54:40 +0000 |
CVSROOT: /sources/texinfo
Module name: texinfo
Changes by: Karl Berry <karl> 12/01/12 18:54:40
Modified files:
. : ChangeLog
Added files:
util/tests : automtest.sh
Log message:
sanity test for automake support
CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/texinfo/ChangeLog?cvsroot=texinfo&r1=1.1300&r2=1.1301
http://cvs.savannah.gnu.org/viewcvs/texinfo/util/tests/automtest.sh?cvsroot=texinfo&rev=1.1
Patches:
Index: ChangeLog
===================================================================
RCS file: /sources/texinfo/texinfo/ChangeLog,v
retrieving revision 1.1300
retrieving revision 1.1301
diff -u -b -r1.1300 -r1.1301
--- ChangeLog 10 Jan 2012 19:37:03 -0000 1.1300
+++ ChangeLog 12 Jan 2012 18:54:39 -0000 1.1301
@@ -1,3 +1,8 @@
+2012-01-12 Karl Berry <address@hidden>
+
+ * util/tests/automtest.sh: manual test from automake, via
+ Stefano Lattarini, texinfo-devel 10 Jan 2012 10:27:55.
+
2012-01-10 Karl Berry <address@hidden>
* doc/texinfo.txi (External Macro Processors,
Index: util/tests/automtest.sh
===================================================================
RCS file: util/tests/automtest.sh
diff -N util/tests/automtest.sh
--- /dev/null 1 Jan 1970 00:00:00 -0000
+++ util/tests/automtest.sh 12 Jan 2012 18:54:40 -0000 1.1
@@ -0,0 +1,59 @@
+#!/bin/sh
+# Copyright 2012 Free Software Foundation, Inc.
+#
+# This file is part of GNU Texinfo.
+#
+# GNU Texinfo is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License,
+# or (at your option) any later version.
+#
+# GNU Texinfo is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# This is a basic test of whether the Texinfo support in automake works.
+# Both texi2dvi and makeinfo. Since it requires automake, we don't want
+# to enable it by default or anything.
+
+set -x; set -e; set -u
+
+mkdir foo.dir
+cd foo.dir
+
+mkdir sub
+
+cat > configure.ac <<'END'
+AC_INIT([try-texinfo], [1.0])
+AM_INIT_AUTOMAKE([foreign -Wall -Werror])
+AC_CONFIG_FILES([Makefile])
+AC_OUTPUT
+END
+
+cat > Makefile.am <<'END'
+all-local: pdf dvi ps info
+info_TEXINFOS = sub/foobarbaz.texi
+END
+
+cat > sub/foobarbaz.texi <<'END'
+\input texinfo
address@hidden foobarbaz.info
address@hidden Zardoz
address@hidden Top
+Foo Bar.
address@hidden
+END
+
+autoreconf -vi
+grep ' -o.*foobarbaz\.texi' Makefile.in # Sanity check.
+./configure
+make
+test -f sub/foobarbaz.info
+test -f sub/foobarbaz.dvi
+test -f sub/foobarbaz.ps
+test -f sub/foobarbaz.pdf
+make distcheck
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- texinfo ChangeLog util/tests/automtest.sh,
Karl Berry <=